## Get list by userId

### cURL

```
curl --request GET \
  --url https://prod01-apigw.yourcompany.fabric.zone/api-list/list/user/{userId} \
  --header 'x-site-context: <x-site-context>'
```

### Python

```
import requests

url = "https://prod01-apigw.yourcompany.fabric.zone/api-list/list/user/{userId}"

headers = {"x-site-context": "<x-site-context>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {'x-site-context': '<x-site-context>'}};

fetch('https://prod01-apigw.yourcompany.fabric.zone/api-list/list/user/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200**
- **400**
- **404**
- **500**

### Response Example

```json
{
  "query": {
    "limit": 10,
    "offset": 0,
    "count": 1
  },
  "lists": [
    {
      "_id": "5fee9d59f2f08a1b3cbdea08",
      "createdAt": "2020-12-31T02:09:53.914Z",
      "updatedAt": "2020-12-31T02:09:53.914Z",
      "userId": "33d01d57-4bfa-4a14-bacc-036617ec02b9",
      "name": "Summer List",
      "listType": "Wishlist",
      "notes": "Summer List",
      "count": 10,
      "attributes": {
        "approver": "Jone Doe"
      }
    }
  ]
}
```

```json
{
  "code": "USER_LISTS_NOT_FOUND_ERROR",
  "message": "Unable to find any lists for user 123"
}
```

#### Headers

- **x-site-context** : string, required  
  The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source.  
  Example:
  
  `"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"`

- **x-api-key** : string  
  Example:
  
  `"0LybWR49k95cCwYh3cu0waCYoh4H2Eux2J52wn4k"`

#### Path Parameters

- **userId** : string, required

#### Query Parameters

- **Get list by userId parameters** : object

#### Response

- **200** : application/json  
  List for specific userId  
  
  - **query** : object
  - **lists** : object[]
